Summary:        Tool to search text in PDF files
Name:           pdfgrep
Version:        2.1.2
Release:    1%{?dist}

License:        GPL-2.0-or-later
URL:            https://pdfgrep.org/
Source0:        https://pdfgrep.org/download/%{name}-%{version}.tar.gz
Source1:        https://pdfgrep.org/download/%{name}-%{version}.tar.gz.asc
Source2:        https://keys.openpgp.org/vks/v1/by-fingerprint/432FC753112F26D9EB48DDC1A17CF2CA697BEAF2

BuildRequires:  make
BuildRequires:  gnupg2
BuildRequires:  gcc-c++
BuildRequires:  poppler-cpp-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  pcre-devel
BuildRequires:  asciidoc

%description
Pdfgrep is a tool, that works similar to grep, to search text in PDF files.
It tries to be compatible with GNU grep, thus many of the favorite GNU grep
options are supported. Pdfgrep can search many PDFs at once, even recursively
in directories. It supports regular expressions (POSIX and PCRE), provides
colored output and finally also support for password protected PDF files.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS NEWS.md README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/bash-completion/
%dir %{_datadir}/bash-completion/completions/
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/zsh/
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_%{name}

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.2-1
- initial build
